   
      SUBROUTINE R_NK_par_sw_2(N,K,Matr_input,Matr_output)
C
C	########################################################################
C
C	Valerio Cappellini                                         February 2007
C
C     USES :: None
C     COMPATIBILITY :: Fortran 90
C     VERSION :: 1.0.0
C
C     R_NK_par_sw_2.f :: it take as input the 2 INTEGER numbers N and K and a 
C                 NxKxNxK REAL matrix M and return as output the NxKxKxN REAL 
C                 matrix "PARTIAL SWAP (2) of M"
C
C	########################################################################
C
$	debug
	implicit none
       
      INTEGER N,K
	REAL Matr_input(N,K,N,K), Matr_output(N,K,K,N)
	
      Matr_output=RESHAPE(Matr_input,(/N,K,K,N/),(/0.,0./),(/1,2,4,3/))
	
      RETURN
      END